{
 "actions": [],
 "autoname": "KBP-.#####",
 "creation": "2026-03-17 00:00:00.000000",
 "doctype": "DocType",
 "engine": "InnoDB",
 "field_order": [
  "payment_request",
  "payment_entry",
  "operation_name",
  "operation_id",
  "status",
  "column_break_1",
  "from_account",
  "to_account",
  "to_tax_no",
  "to_cust_name",
  "ben_bank_code",
  "amount",
  "details_section",
  "purpose1",
  "error_message",
  "column_break_2",
  "sent_at",
  "status_updated_at"
 ],
 "fields": [
  {
   "fieldname": "payment_request",
   "fieldtype": "Link",
   "in_list_view": 1,
   "label": "Payment Request",
   "options": "Payment Request",
   "read_only": 1
  },
  {
   "fieldname": "payment_entry",
   "fieldtype": "Link",
   "in_list_view": 1,
   "label": "Payment Entry",
   "options": "Payment Entry",
   "read_only": 1
  },
  {
   "fieldname": "operation_name",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "Operation Name",
   "read_only": 1,
   "reqd": 1,
   "unique": 1
  },
  {
   "fieldname": "operation_id",
   "fieldtype": "Data",
   "label": "Operation ID",
   "read_only": 1
  },
  {
   "default": "Draft",
   "fieldname": "status",
   "fieldtype": "Select",
   "in_list_view": 1,
   "label": "Status",
   "options": "Draft\nSent\nConfirm Wait\nSuccess\nRejected\nCancelled",
   "read_only": 1
  },
  {
   "fieldname": "column_break_1",
   "fieldtype": "Column Break"
  },
  {
   "fieldname": "from_account",
   "fieldtype": "Data",
   "label": "From Account (IBAN)",
   "read_only": 1
  },
  {
   "fieldname": "to_account",
   "fieldtype": "Data",
   "label": "To Account (IBAN)",
   "read_only": 1
  },
  {
   "fieldname": "to_tax_no",
   "fieldtype": "Data",
   "label": "To Tax No",
   "read_only": 1
  },
  {
   "fieldname": "to_cust_name",
   "fieldtype": "Data",
   "label": "To Customer Name",
   "read_only": 1
  },
  {
   "fieldname": "ben_bank_code",
   "fieldtype": "Data",
   "label": "Beneficiary Bank Code",
   "read_only": 1
  },
  {
   "fieldname": "amount",
   "fieldtype": "Currency",
   "label": "Amount",
   "read_only": 1
  },
  {
   "fieldname": "details_section",
   "fieldtype": "Section Break",
   "label": "Details"
  },
  {
   "fieldname": "purpose1",
   "fieldtype": "Data",
   "label": "Purpose",
   "read_only": 1
  },
  {
   "fieldname": "error_message",
   "fieldtype": "Small Text",
   "label": "Error Message",
   "read_only": 1
  },
  {
   "fieldname": "column_break_2",
   "fieldtype": "Column Break"
  },
  {
   "fieldname": "sent_at",
   "fieldtype": "Datetime",
   "label": "Sent At",
   "read_only": 1
  },
  {
   "fieldname": "status_updated_at",
   "fieldtype": "Datetime",
   "label": "Status Updated At",
   "read_only": 1
  }
 ],
 "index_web_pages_for_search": 1,
 "links": [],
 "modified": "2026-03-17 00:00:00.000000",
 "modified_by": "Administrator",
 "module": "Kapital Bank",
 "name": "Kapital Bank Payment",
 "naming_rule": "Expression (old style)",
 "owner": "Administrator",
 "permissions": [
  {
   "create": 1,
   "delete": 1,
   "email": 1,
   "export": 1,
   "print": 1,
   "read": 1,
   "report": 1,
   "role": "System Manager",
   "share": 1,
   "write": 1
  }
 ],
 "sort_field": "modified",
 "sort_order": "DESC",
 "states": [],
 "title_field": "operation_name",
 "track_changes": 1
}
